/* Hero */
.hero {
  margin-bottom: 96px;

  @media only screen and (max-width: $tablet) {
    margin-bottom: 60px;
  }

  @media only screen and (max-width: $mobile) {
    margin-bottom: 48px;
  }
}

.hero__inner {
  display: flex;
  align-items: center;

  @media only screen and (max-width: $desktop) {
    flex-direction: column;
  }
}

.hero__left {
  position: relative;
  margin-right: 68px;

  .hero__image {
    position: relative;
    z-index: 10;
    width: 380px;
    height: 480px;
    margin: 0 auto;
    border-radius: 2px;
    overflow: hidden;
    user-select: none;
    background: var(--text-color);
    box-shadow: 10px 10px 0 var(--heading-font-color);

    img {
      position: absolute;
      top: 0;
      z-index: 1;
      height: 100%;
      width: 100%;
      object-fit: cover;
      border-radius: 2px;
    }


  }

  @media only screen and (max-width: 1140px) {
    margin-right: 60px;
  }

  @media only screen and (max-width: $desktop) {
    display: none;

    .hero__image {
      display: none;
    }
  }

  @media only screen and (max-width: $tablet) {
    .hero__image {
      display: none;
    }
  }

  @media only screen and (max-width: $mobile) {
    .hero__image {
      display: none;
    }
  }
}

.hero__right {

  .hero__title {
    margin-bottom: 32px;
    font-size: 68px;
    line-height: .85em;
    font-weight: 900;
    letter-spacing: -1px;
    color: var(--heading-font-color);

    @media only screen and (max-width: 1140px) {
      font-size: 60px;
    }

    @media only screen and (max-width: $desktop) {
      margin-bottom: 32px;
      font-size: 48px;
      letter-spacing: normal;
    }

    @media only screen and (max-width: $mobile) {
      margin-bottom: 24px;
      font-size: 32px;
    }
  }

  .hero__description {
    max-width: 530px;
    margin-bottom: 32px;
    font-size: 20px;
    color: var(--text-color);

    @media only screen and (max-width: $desktop) {
      max-width: 100%;
      margin-bottom: 24px;
      font-size: inherit;
    }
  }

  .hero__contact {
    .social__list {
      display: flex;
      align-items: center;
      flex-wrap: wrap;
    }

    .social__item {
      margin-right: 8px;
      margin-bottom: 0;
      &:last-child {
        margin-right: 0;
      }
    }

    .social__link {
      display: flex;
      justify-content: center;
      align-items: center;
      width: 43px;
      height: 43px;
      text-align: center;
      font-size: 20px;
      border-radius: 14px;
      border: 1px solid var(--border-color);
      color: var(--heading-font-color);
      background: var(--background-color);
      transition: all .25s;

      i {
        line-height: 49px;
      }

      &:hover {
        transform: translate3d(3px, -3px, 0);
        box-shadow: -3px 3px 0 var(--heading-font-color);
      }

      @media only screen and (max-width: $desktop) {
        width: 40px;
        height: 40px;
        font-size: 18px;
      }
    }
  }
}